summaryrefslogtreecommitdiff
path: root/scripts/gui
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/gui')
-rwxr-xr-xscripts/gui/sclip5
1 files changed, 4 insertions, 1 deletions
diff --git a/scripts/gui/sclip b/scripts/gui/sclip
index 5b56e4b..dc692f9 100755
--- a/scripts/gui/sclip
+++ b/scripts/gui/sclip
@@ -27,7 +27,10 @@ read_stdin=0
silent=0
while getopts "f:c:sih" option; do
case "${option}" in
- f) filepath="${OPTARG}" ;;
+ f)
+ filepath="${OPTARG}"
+ [ -f "${filepath}" ] || err "Not a file"
+ ;;
c) input="${OPTARG}" ;;
s) silent=1 ;;
i) read_stdin=1 ;;